Package org.lwjgl.opengles

# Class OESCompressedPalettedTexture

java.lang.Object
org.lwjgl.opengles.OESCompressedPalettedTexture

public final class OESCompressedPalettedTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PALETTE4_R5_G6_B5_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE4_RGB5_A1_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE4_RGB8_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE4_RGBA4_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE4_RGBA8_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE8_R5_G6_B5_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE8_RGB5_A1_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE8_RGB8_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE8_RGBA4_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D
`static final int`
`GL_PALETTE8_RGBA8_OES`
Accepted by the <internalformat> paramter of CompressedTexImage2D

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PALETTE4_RGB8_OES

public static final int GL_PALETTE4_RGB8_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE4_RGBA8_OES

public static final int GL_PALETTE4_RGBA8_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE4_R5_G6_B5_OES

public static final int GL_PALETTE4_R5_G6_B5_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE4_RGBA4_OES

public static final int GL_PALETTE4_RGBA4_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE4_RGB5_A1_OES

public static final int GL_PALETTE4_RGB5_A1_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE8_RGB8_OES

public static final int GL_PALETTE8_RGB8_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE8_RGBA8_OES

public static final int GL_PALETTE8_RGBA8_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE8_R5_G6_B5_OES

public static final int GL_PALETTE8_R5_G6_B5_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE8_RGBA4_OES

public static final int GL_PALETTE8_RGBA4_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PALETTE8_RGB5_A1_OES

public static final int GL_PALETTE8_RGB5_A1_OES
Accepted by the <internalformat> paramter of CompressedTexImage2D

See Also:
  - Constant Field Values